<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
	<!-- 
		<div class="fl">
			<span class="text-content"><em class="must"></em>关联设备编号：</span> 
			<input id="glsbbh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="关联设备编号必填项" > 
		</div> 
		 -->
		<div class="fl">
			<span class="text-content"><em class="must"></em>关联通道编号：</span> 
			<input id="gltbdh" class="easyui-textbox" data-options="required:false,validType:'length[0,10]'" missingMessage="关联通道编号必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>关联通道名称：</span> 
			<input id="gltdmc" class="easyui-textbox" data-options="required:false,validType:'length[0,100]'" missingMessage="关联通道名称必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>编号：</span> 
			<input id="bzpp" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="编号必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>规格型号：</span> 
			<input id="ggxh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="规格型号必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>所属坐标系：</span> 
			<input id="sszbx" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="所属坐标系必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>经度：</span> 
			<input id="jd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="经度必填项" > 
		</div>
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>维度：</span> 
			<input id="wd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="维度必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装时间：</span> 
			<input id="azsj" class="easyui-datebox" missingMessage="安装时间必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装单位：</span> 
			<input id="azdw" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装单位必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>安装方式：</span> 
			<input id="azfs" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="安装方式必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>实景照片：</span> 
			<input id="sjzp" class="easyui-textbox" data-options="required:false,validType:'length[0,256]'" missingMessage="实景照片必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>管辖单位编码：</span> 
			<input id="gxdwbm" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="管辖单位编码必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>管辖单位名称：</span> 
			<input id="gxdwmc" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="管辖单位名称必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>联系人：</span> 
			<input id="lxr" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="联系人必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>联系电话：</span> 
			<input id="lxdh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="联系电话必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>供应商编号：</span> 
			<input id="gysbh" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="供应商编号必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>供应商名称：</span> 
			<input id="gysmc" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="供应商名称必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="bz" class="easyui-textbox" data-options="multiline:true" style="width:300px;height:80px" missingMessage="备注必填项" > 
		</div> 
	</div>

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	$('#azsj').datebox({ editable:false });
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#xh").val(records.xh);
		$("#glsbbh").textbox("setValue",records.glsbbh);
		$("#gltbdh").textbox("setValue",records.gltbdh);
		$("#gltdmc").textbox("setValue",records.gltdmc);
		$("#bzpp").textbox("setValue",records.bzpp);
		$("#ggxh").textbox("setValue",records.ggxh);
		$("#sszbx").textbox("setValue",records.sszbx);
		$("#jd").textbox("setValue",records.jd);
		$("#wd").textbox("setValue",records.wd);
		$("#azsj").textbox("setValue",records.azsj);
		$("#azdw").textbox("setValue",records.azdw);
		$("#azfs").textbox("setValue",records.azfs);
		$("#sjzp").textbox("setValue",records.sjzp);
		$("#gxdwbm").textbox("setValue",records.gxdwbm);
		$("#gxdwmc").textbox("setValue",records.gxdwmc);
		$("#lxr").textbox("setValue",records.lxr);
		$("#lxdh").textbox("setValue",records.lxdh);
		$("#gysbh").textbox("setValue",records.gysbh);
		$("#gysmc").textbox("setValue",records.gysmc);
		$("#bz").textbox("setValue",records.bz);
		/*$("#cjry").textbox("setValue",records.cjry);
		$("#cjrq").textbox("setValue",records.cjrq);
		$("#xgry").textbox("setValue",records.xgry);
		$("#xgrq").textbox("setValue",records.xgrq);
		$("#kz1").textbox("setValue",records.kz1);
		$("#kz2").textbox("setValue",records.kz2);
		$("#kz3").textbox("setValue",records.kz3);
		$("#kz4").textbox("setValue",records.kz4);*/

	}else{
		
	}
}
/*
var xx1 = $("#xx1").textbox("getValue");//文本
var xx2 = $("#xx2").combobox("getValue");//下拉
var xx3 = $("#xx3").datetimebox("getValue");//日期
var xx4 = $("#xx4").numberbox("getValue");//数字
$('#xx5').combobox({  
	url:'xtclAction!select_Xtcl.do?csdl=xx5&page=1&rows=1000', 
	textField:"csmc",  
	valueField:"csdm",
	panelWidth:148,
	loadFilter:function(data){
		//data.unshift({"csmc":"选择","csdm":""});
		return data;
	}
});
$("#xx6").textbox("setValue",records.xx6);
$("#xx7").combobox("setValue",records.xx7);
$("#xx8").combobox("setValue",records.xx8);
$("#xx9").datetimebox("setValue",$.getNowTime());
$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
$("#xx13").numberbox("setValue",records.xx13);
*/
</script>
